package com.ruoyi.system.domain;

import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import com.ruoyi.common.annotation.Excel;
import com.ruoyi.common.core.domain.BaseEntity;

/**
 * 【请填写功能名称】对象 t_electronic_fence_key
 * 
 * @author ruoyi
 * @date 2023-09-14
 */
public class TElectronicFenceKey extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** id */
    private Long id;

    /** 高德电子围栏key */
    @Excel(name = "高德电子围栏key")
    private String amapKey;

    /** 高德电子围栏key名 */
    @Excel(name = "高德电子围栏key名")
    private String amapName;

    /** 高德电子围栏key描述 */
    @Excel(name = "高德电子围栏key描述")
    private String amapDesc;

    public void setId(Long id) 
    {
        this.id = id;
    }

    public Long getId() 
    {
        return id;
    }
    public void setAmapKey(String amapKey) 
    {
        this.amapKey = amapKey;
    }

    public String getAmapKey() 
    {
        return amapKey;
    }
    public void setAmapName(String amapName) 
    {
        this.amapName = amapName;
    }

    public String getAmapName() 
    {
        return amapName;
    }
    public void setAmapDesc(String amapDesc) 
    {
        this.amapDesc = amapDesc;
    }

    public String getAmapDesc() 
    {
        return amapDesc;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
            .append("id", getId())
            .append("amapKey", getAmapKey())
            .append("createTime", getCreateTime())
            .append("updateTime", getUpdateTime())
            .append("amapName", getAmapName())
            .append("amapDesc", getAmapDesc())
            .toString();
    }
}
